#include<iostream>
#include<cmath>

using namespace std;

long long n,m,br=0;
char a[10002][10002];


int main()
{
    cin>>n>>m;
    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=m; j++)
        {
            cin>>a[i][j];
            if(a[i][j]=='.') br++;
        }
    }
    if(br==n*m)
    {
        for(int i=1; i<=n; i++)
     {
        a[i][i]='C';
     }
    }
    else
    {
        cout<<"-1";
        return 0;
    }

    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=m; j++)
        {
            cout<<a[i][j];
        }
        cout<<endl;
    }

    return 0;
}